#include <iostream>

using namespace std;

int main()
{
    //      visina| | sirina
    long long int n,m;
    cin >> n >> m;
    long long int zb=(2*m)+2*(n-2);
    for(long long int i =1; i<n-1; i++)
    {
        for(long long int j =1; j<m-1; j++)
            if(j%2==0 && i%2!=0 || j%2!=0 && i%2==0)
                zb++;

    }


    cout << zb << endl;
    return 0;
}